<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import EMITEMPLEditView9Base from './emitempledit-view9-base.vue';

import view_form from '@widgets/emitem-pl/main2-form/main2-form.vue';

/**
 * 损溢单
 *
 * @export
 * @class EMITEMPLEditView9
 * @extends {EMITEMPLEditView9Base}
 */
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class EMITEMPLEditView9 extends EMITEMPLEditView9Base { }
</script>